Index: chap-whatsnew.xml
===================================================================
RCS file: /cvsroot/htdocs/guide/en/chap-whatsnew.xml,v
retrieving revision 1.9
diff -b -u -r1.9 chap-whatsnew.xml
--- chap-whatsnew.xml	5 Oct 2004 18:28:00 -0000	1.9
+++ chap-whatsnew.xml	12 Oct 2004 22:01:12 -0000
@@ -116,6 +116,44 @@
         the porting of &os; to even more architectures.</para>
     </sect2>
 
+    <sect2>
+      <title>Scalability improvements</title>
+
+      <para>
+	NetBSD 2.0 has been optimized heavily during the development
+	process. These are some of the scalability improvements:
+      </para>
+
+      <itemizedlist>
+	<listitem>
+	  <para>
+	    The memory allocation scheme for the buffer cache, which
+	    is used for file system meta data, has been rewritten. The
+	    buffer cache can now use up to 15% of the physical memory
+	    in the default configuration (tunable via &man.sysctl.8;).
+	  </para>
+	</listitem>
+        <listitem>
+          <para>
+	    Socket buffer insertion is now O(C). This can provide a 
+	    substantial performance boost to some applications which 
+	    use large socket buffers.
+	  </para>
+        </listitem>
+        <listitem>
+	  <para>
+	    i386 &man.pmap.9; now uses a splay tree instead of linked lists,
+	    making &man.fork.2; scale much better as the number of processes
+	    increases.
+	  </para>
+	</listitem>
+	<listitem>
+	  <para>
+	    A red-black tree is now being used to find entries in
+	    vm_map. This speeds up memory allocation.
+      </listitem>
+    </itemizedlist>
+
     <!-- other:
       "new hardware": usb2, firewire, ...
       smbfs
